=== debian/changelog ===
mame (0.230+dfsg.1-1ubuntu2) hirsute; urgency=medium

  * Limit parallel builds to 2 on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Apr 2021 10:01:17 +0200

mame (0.230+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Updated patches.

 -- Jordi Mallach <jordi@debian.org>  Fri, 02 Apr 2021 00:35:26 +0200

mame (0.229+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 24 Feb 2021 12:48:12 +0100
