## mame 0.233%2Bdfsg.1

=== debian/changelog ===
mame (0.233+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Disable patches that don't apply for x86 arch builds.
  * Refresh python3.patch

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 10 Jul 2021 13:54:03 -0700

mame (0.230+dfsg.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Apr 2021 14:22:53 -0700
