=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,6 @@
 # taken verbatim from debian policy
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el))
-    NUMJOBS = 2
-  endif
 endif
 
 # Use the less-greedy-for-memory Gold linker whenever available
@@ -285,3 +282,6 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
