## mame 0.235+dfsg.1

=== debian/changelog ===
mame (0.235+dfsg.1-1ubuntu1) impish; urgency=medium

  * Do not build with -m64 on riscv64
  * Build with -O1 on riscv64 to avoid link error (LP: #1944514)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Sep 2021 06:42:37 +0000

mame (0.235+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Update patches.
  * Update Standards-Version to 4.6.0.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 Sep 2021 11:35:36 +0200

mame (0.234+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 04 Aug 2021 10:50:33 +0200

mame (0.233+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Fri, 02 Jul 2021 08:22:56 +0200

mame (0.232+dfsg.1-1) unstable; urgency=medium

  * New upstream release.
  * Updated patches.

 -- Cesare Falco <c.falco@ubuntu.com>  Thu, 27 May 2021 18:36:20 +0200

mame (0.231+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 28 Apr 2021 22:11:00 +0200
