=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 LINK_WITH_GOLD = 1
 
 # g++ 10 seems buggy on some archs, use to build with g++ 9 as a workaround
-# if enabled, remember to add dependency in debian/control as well!
+# if enabled, remember to add dependency on g++-9 in debian/control as well!
 COMPILE_WITH_GCC9 =
 
 # Override relevant make variables in original makefile
@@ -144,6 +144,7 @@
 
 ifeq ($(DEB_HOST_ARCH),riscv64)
 DEB_OPTS += \
+    OPTIMIZE=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -282,6 +283,3 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
