## mame 0.236+dfsg.1

=== debian/changelog ===
mame (0.236+dfsg.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Oct 2021 05:59:34 -0700

mame (0.235+dfsg.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 Sep 2021 15:00:15 -0700
