=== debian/rules ===
--- 
+++ 
@@ -144,7 +144,6 @@
 
 ifeq ($(DEB_HOST_ARCH),riscv64)
 DEB_OPTS += \
-    OPTIMIZE=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -283,3 +282,6 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
