## mame 0.237+dfsg.1

=== debian/changelog ===
mame (0.237+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Set FORCE_DRC_C_BACKEND=1 for alpha, ia64 and riscv, which was
    unadvertently dropped in f776220a0f31b143797990e254775c44f4ee8b88,
    undoing Graham's fix from 0.235+dfsg.1-2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Nov 2021 12:48:56 +0100

mame (0.236+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Override dh_auto_clean to pass PYTHON_EXECUTABLE.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Oct 2021 12:27:41 +0200

mame (0.235+dfsg.1-2) unstable; urgency=medium

  * Team upload
  * Do not pass -m64 to alpha, ia64 or riscv64 builds
  * Build with -O1 on riscv64 to avoid link error (LP: #1944514)
  * Reduce parallel jobs on arm64 and ppc64el for Launchpad

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 Sep 2021 13:41:02 +0000
