=== debian/rules ===
--- 
+++ 
@@ -66,6 +66,7 @@
 # Set specific arch options
 ifeq ($(DEB_HOST_ARCH),alpha)
 DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -78,6 +79,8 @@
 ifeq ($(DEB_HOST_ARCH),arm64)
 DEB_OPTS += \
     ARCHOPTS="-mabi=lp64 -fPIC"
+# reduce jobs to release memory on Launchpad builder VM
+NUMJOBS = 2
 endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
@@ -92,6 +95,7 @@
 
 ifeq ($(DEB_HOST_ARCH),ia64)
 DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -140,10 +144,14 @@
 DEB_OPTS += \
     PTR64=1
 LINK_WITH_GOLD =
+# reduce jobs to release memory on Launchpad builder VM
+NUMJOBS = 2
 endif
 
 ifeq ($(DEB_HOST_ARCH),riscv64)
 DEB_OPTS += \
+    FORCE_DRC_C_BACKEND=1 \
+    OPTIMIZE=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -254,6 +262,9 @@
 
 override_dh_auto_build-indep:
 	$(MAKE) -C docs singlehtml
+
+override_dh_auto_clean:
+	PYTHON_EXECUTABLE=python3 dh_auto_clean
 
 override_dh_auto_test-arch:
 	# Run MAME's internal validation tests
@@ -282,6 +293,3 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
