## mame 0.238+dfsg.1

=== debian/changelog ===
mame (0.238+dfsg.1-1) unstable; urgency=medium

  [ Cesare Falco ]
  * New upstream release.

  [ Jordi Mallach ]
  * Move setting of FORCE_DRC_C_BACKEND=1 to patch like it was
    before, to fix a regression in alpha and ia64.
  * Refresh patches.
  * Drop unused lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Fri, 26 Nov 2021 12:21:14 +0100
