## mame 0.239+dfsg.1

=== debian/changelog ===
mame (0.239+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Wed, 29 Dec 2021 18:41:03 +0100
