## mame 0.240+dfsg.1

=== debian/changelog ===
mame (0.240+dfsg.1-1) unstable; urgency=medium

  * New upstream release.

 -- Cesare Falco <c.falco@ubuntu.com>  Sun, 30 Jan 2022 15:30:18 +0100
