## mame 0.241+dfsg.1

=== debian/changelog ===
mame (0.241+dfsg.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Feb 2022 14:36:48 -0800
