=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,6 @@
 # Set specific arch options
 ifeq ($(DEB_HOST_ARCH),alpha)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -95,7 +94,6 @@
 
 ifeq ($(DEB_HOST_ARCH),ia64)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     PTR64=1
 LINK_WITH_GOLD =
 endif
@@ -150,7 +148,6 @@
 
 ifeq ($(DEB_HOST_ARCH),riscv64)
 DEB_OPTS += \
-    FORCE_DRC_C_BACKEND=1 \
     OPTIMIZE=1 \
     PTR64=1
 LINK_WITH_GOLD =
@@ -293,3 +290,7 @@
 	find debian/mame-data/usr/share/games/mame/language -type f -name "*.po" -delete
 	find debian/mame-data/usr/share/games/mame/language -type f -execdir chmod 644 {} \;
 	find debian/mame-data/usr/share/games/mame/plugins -type f -execdir chmod 644 {} \;
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
